summaryrefslogtreecommitdiff
path: root/libraries/wxGTK3
diff options
context:
space:
mode:
authorB. Watson <yalhcru@gmail.com>2022-04-16 13:52:18 -0400
committerB. Watson <yalhcru@gmail.com>2022-04-16 13:52:18 -0400
commit408382b675941605a0737108fbac66ff326b1981 (patch)
treed61df244a78c044390488610a038bc8d1fc3edaf /libraries/wxGTK3
parentc7ad532b96865ca3a0e5bf58528ac0b236aefad9 (diff)
downloadslackbuilds-408382b675941605a0737108fbac66ff326b1981.tar.gz
libraries/wxGTK3: Make API docs optional.
Signed-off-by: B. Watson <yalhcru@gmail.com>
Diffstat (limited to 'libraries/wxGTK3')
-rw-r--r--libraries/wxGTK3/README35
-rw-r--r--libraries/wxGTK3/wxGTK3.SlackBuild27
2 files changed, 43 insertions, 19 deletions
diff --git a/libraries/wxGTK3/README b/libraries/wxGTK3/README
index 6408cabda6..ee922ffcde 100644
--- a/libraries/wxGTK3/README
+++ b/libraries/wxGTK3/README
@@ -2,29 +2,38 @@ wxGTK3 is part of wxWidgets, a cross-platform API for writing GUI
applications on multiple platforms that still utilize the native
platform's controls and utilities.
-webkit2gtk are optional dependencies of this package.
-This will provide webview support.
+webkit2gtk is an optional dependency of this package. This will
+provide webview support.
-NOTE:
-this package is NOT built using --enable-stl by default.
-if you need to enable stl, use:
-STL=yes ./wxGTK3.SlackBuild
+Notes:
-If you need to build static version, use:
-STATIC=yes ./wxGTK3.SlackBuild
-When building with static libraries, plugin support will be disabled.
+1. This package is NOT built using --enable-stl by default.
+ If you need to enable stl, use:
+ STL=yes ./wxGTK3.SlackBuild
-This script also auto-detect webkitgtk presence. If it's installed,
-it will automatically use --enable-webkit parameter.
+2. If you need to build static version, use:
+ STATIC=yes ./wxGTK3.SlackBuild
+ When building with static libraries, plugin support will be disabled.
-wxGTK3 can be installed alongside with wxGTK/wxPython, but it will
+3. This script also auto-detects webkitgtk presence. If it's installed,
+ it will automatically use the --enable-webkit parameter.
+
+4. If you need the wxGTK3 API documentation, you can include it in the
+ package by installing graphviz, then running wxGTK3.SlackBuild with
+ APIDOC=yes in the environment. You won't need the API docs unless
+ you're developing software that uses wxGTK3.
+
+Conflict warning:
+
+wxGTK3 can be installed alongside wxGTK/wxPython, but it will
overwrite the /usr/bin/wx-config created by wxGTK/wxPython.
If you need to build packages using wxGTK/wxPython, simply reinstall
the wxGTK/wxPython package and wx-config will point to correct
version.
-The same solution can be used if wxGTK3's wx-config is overwritten.
+The same solution can be used if wxGTK3's wx-config is overwritten
+by wxPython.
We are in the process of updating all scripts that use wxGTK3 or
wxPython to ignore the wx-config symlink at build time, so this will
diff --git a/libraries/wxGTK3/wxGTK3.SlackBuild b/libraries/wxGTK3/wxGTK3.SlackBuild
index 3555927dcc..04ec33a820 100644
--- a/libraries/wxGTK3/wxGTK3.SlackBuild
+++ b/libraries/wxGTK3/wxGTK3.SlackBuild
@@ -22,6 +22,12 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# 20220416 bkw: Modified by SlackBuilds.org, BUILD=4:
+# - only build HTML docs if requested, since it's time-consuming,
+# requires optional dep graphviz, and 99.9% of users will never
+# read them (they're developer docs, not end-user docs).
+# - spelling/grammar/formatting fixes in README.
+
# 20220414 bkw: Modified by SlackBuilds.org, BUILD=3:
# - actually generate and install HTML documentation.
# - use relative symlink in /usr/bin.
@@ -30,7 +36,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=wxGTK3
VERSION=${VERSION:-3.0.5}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-4}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -139,12 +145,21 @@ mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
# 20220414 bkw: instead of installing the *source* to the doxygen docs,
# actually run doxygen and install the generated HTML docs.
+# This is only done if the users asks for it.
# The "|| true" stuff is meant to keep errors in the documentation from
-# killing the build.
-cd docs/doxygen
- GENERATE_LATEX=NO doxygen || true
- mv out/html $PKG/usr/doc/$PRGNAM-$VERSION || true
-cd -
+# killing the build. DOT_NUM_THREADS=1 may slow things down a bit on
+# well-endowed hosts, but it prevents running out of memory on lesser ones.
+# Don't try to generate the API docs if graphviz is missing.
+if [ "${APIDOC:-no}" = "yes" ] && which dot &> /dev/null; then
+ echo "=== APIDOC=yes and graphviz exists, building API docs"
+ cd docs/doxygen
+ echo 'DOT_NUM_THREADS = 1' >> Doxyfile
+ GENERATE_LATEX=NO doxygen || true
+ mv out/html $PKG/usr/doc/$PRGNAM-$VERSION/api || true
+ cd -
+else
+ echo "=== not building API docs"
+fi
rm -rf docs/doxygen
cp -a docs/* $PKG/usr/doc/$PRGNAM-$VERSION